using System;

class Program
{
    static Int64 Razbij(Int64 manji, Int64 veci)
    {
        Int64 step = 1, broj = 0, veci1 = veci;
        while (manji > 0)
        {
            if (manji % 10 > veci % 10)
            {
                broj += manji % 10 * step;
                step *= 10;
            }
            else if (manji % 10 < veci % 10)
            {
                broj += veci % 10 * step;
                step *= 10;
            }
            else
            {
                broj += manji % 10 * step;
                step *= 10;
                broj += manji % 10 * step;
                step *= 10;
            }
            manji /= 10;
            veci /= 10;
        }
        Int64 za_razbijeni = veci * step;
        Int64 razbijeni = za_razbijeni + broj;
        return razbijeni;
    }
    static void Main()
    {
        Int64 x = Int64.Parse(Console.ReadLine());
        Int64 y = Int64.Parse(Console.ReadLine());

        if (x > y)
        {
            Console.WriteLine(Razbij(y, x));
        }
        else
        {
            Console.WriteLine(Razbij(x, y));
        }
    }
}